Page MenuHomePhabricator

handle cases where fullscreen is disabled.
Open, MediumPublic

Description

This occurs with Seamonkey 2.13.2. When pressing the fullscreen option, the player disappears and the console shows:

"Timestamp: 09-11-12 11:17:13
Warning: Request for full-screen was denied because full-screen API is disabled by user preference.
Source File: https://commons.wikimedia.org/wiki/File:Maschine-stadt-luzern.ogv
Line: 0"


Version: master
Severity: normal

Details

Reference
bz41915

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:51 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz41915.
TheDJ created this task.Nov 9 2012, 10:20 AM
TheDJ added a comment.Nov 9 2012, 11:10 AM

See also:
document.fullScreenEnabled vs document.mozFullScreenEnabled vs. videoEl.webkitSupportsFullscreen

https://developer.mozilla.org/en-US/docs/DOM/Using_fullscreen_mode
https://developer.mozilla.org/en-US/docs/DOM/document.mozFullScreenEnabled

TheDJ closed this task as Resolved.EditedAug 14 2015, 8:06 PM
TheDJ claimed this task.

Whoops, closed the wrong ticket

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 14 2015, 8:06 PM
TheDJ reopened this task as Open.Aug 14 2015, 8:08 PM
TheDJ set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 8:08 PM
TheDJ added a comment.Aug 14 2015, 8:34 PM

https://fullscreen.spec.whatwg.org/#dom-element-requestfullscreen

the spec has requestFullscreen return a promise (not sure how many browsers actually support that already.

If there was no permission given, then it should at the very least trigger [moz|webkit]fullscreenerror event on the document.

brion added a subscriber: brion.Aug 14 2015, 8:43 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:39 PM
TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 25 2015, 2:25 PM
TheDJ removed TheDJ as the assignee of this task.Sep 18 2017, 1:40 PM
brion moved this task from Player to Player-Old on the TimedMediaHandler board.Apr 23 2018, 11:00 PM